import Taro, { Component } from '@tarojs/taro'
import { View, Text, Image } from '@tarojs/components'
import { AtInput, AtButton, Picker, AtIcon, AtLoadMore } from 'taro-ui'
import copyrightComponent from '../../component/copyrightComponent/copyrightComponent'

import URL from '../../serviceAPI.config'
import './allDemanding.scss'

import eyeIcon from '../../icons/eye.png'


let currentPage=1
class AllDemanding extends Component {
    config = {
        navigationBarTitleText: '全部业主需求'
    }
    constructor() {
        super(...arguments)
        this.state = {
            supplys:[],
            isMore:'more',
            selector: ['全部', '需求', '供应', '人才'],
            selectorChecked: '全部',
            selector1: ['全部', '上架', '下架'],
            selectorChecked1: '全部',
            dateSel: '2018-04-22',

        }
    }
    GetAllDemanding({ curr_page=1, page_count=20}) {
        Taro.request({
            url: URL.GetAllDemanding,
            method: 'POST',
            dataType: 'json',
            data: {
                param: JSON.stringify({
                    curr_page: curr_page,
                    page_count: page_count
                }),
            },
            header: {
                'content-type': 'application/x-www-form-urlencoded',
                'X-Requested-With': 'XMLHttpRequest'
            }
        })
            .then(res => {
                if (res.data.supplys.length){
                const newSupplys=this.state.supplys.concat(res.data.supplys)
                    this.setState({ supplys: newSupplys, isMore: 'more'})
            }else{
                    this.setState({ isMore:'noMore'})
            }
            })
    }
    handleLoadMore(){
        this.setState({isMore:'loading'})
        setTimeout(() => {
            currentPage += 1
            this.GetAllDemanding({ curr_page: currentPage })
            
        }, 1000);
         
    }
    onChange = e => {
        this.setState({
            selectorChecked: this.state.selector[e.detail.value]
        })
    }
  
    onDateChange = e => {
        this.setState({
            dateSel: e.detail.value
        })
    }


    componentWillReceiveProps(nextProps) {
        console.log(this.props, nextProps)
    }
    componentDidMount(){
        this.GetAllDemanding({})
        
    }

    componentWillUnmount() { }

    componentDidShow() { }

    componentDidHide() { }

    render() {
        const allDemandingElementArray=this.state.supplys?this.state.supplys.map((item,index)=>{

            return <View className='demanding-info' key={index}>
                    <View className='header'>
                    <View className='name'>业主:{item.user_name}</View>
                    <View className='others'>
                        <Text className='cate'>{item.class_name+' '} </Text>
                        | 
                        <Image src={eyeIcon} style='width:12px; height:12px;  vertical-align:middle;' />
                        <Text className='watch'>{item.browse_times}</Text>
                     </View>
                    </View>
                    <View className='body'>
                        <View className='image-container'>
                        <Image style='width:90px;height:60px' src={URL.Base + item.file_path[0].thumb_path} />
                        </View>
                        <View className='detail'>
                        <View className='title'>{item.sd_title}</View>
                        <View className='para'>{item.sd_desc}</View>
                            <View className='button'>
                                <AtButton type='primary' size='small'>
                                    抢单</AtButton>
                            </View>

                        </View>

                    </View>
                    <View className='footer'>
                        <View className='location'><AtIcon value='map-pin' size='12' color='black'></AtIcon>没有数据</View>
                    <View className='time'>更新日期:{item.update_date}</View>
                    </View>

                </View>
        }):null
        return (
            <View className='allDemanding'>
                <View className='page-section'>

                    <View>
                        <Picker mode='selector' range={this.state.selector1} onChange={this.onChange1}>
                            <View className='picker'>
                                <View className='title-box'>
                                    <Text className='title'> <Text className='require'>*</Text>供求状态:</Text> <Text className='selected'>{this.state.selectorChecked1}</Text>
                                </View>

                            </View>
                        </Picker>
                    </View>
                </View>
                <View className='input-box'>
                    <Text className='require'>*</Text>
                    <AtInput
                      name='value'
                      title='需求标题：'
                      type='text'
                      placeholder='需求标题'
                      value={this.state.value}
                      onChange={this.handleChange.bind(this)}
                    />
                </View>


                <View className='page-section'>

                    <View className='picker-box'>
                        <Picker mode='date' className='picker-container' onChange={this.onDateChange}>
                            <View className='picker'>
                                <View className='title-box'>
                                    <Text className='title'><Text className='require'>*</Text>开始日期:</Text> <Text className='selected'>{this.state.dateSel}</Text>
                                </View>

                            </View>
                        </Picker>
                        <Picker className='picker-container' mode='date' onChange={this.onDateChange}>
                            <View className='picker'>
                                <View className='title-box'>
                                    <Text className='title'><Text className='require'>*</Text>结束日期:</Text> <Text className='selected'>{this.state.dateSel}</Text>
                                </View>

                            </View>
                        </Picker>

                    </View>
                </View>
                <View className='page-section'>

                    <View>
                        <Picker mode='selector' range={this.state.selector1} onChange={this.onChange1}>
                            <View className='picker'>
                                <View className='title-box'>
                                    <Text className='title'> <Text className='require'>*</Text>供求状态:</Text> <Text className='selected'>{this.state.selectorChecked1}</Text>
                                </View>

                            </View>
                        </Picker>
                    </View>
                </View>
                <View className='button-box'>
                    <View className='button'>
                        <AtButton type='primary' size='small'>
                            <AtIcon value='search' size='12' color='white'></AtIcon>
                            搜索</AtButton>
                    </View>
                </View>
                <View className='demanding-box' >
                    {allDemandingElementArray}
                </View>
                <AtLoadMore
                  onClick={this.handleLoadMore.bind(this)}
                  status={this.state.isMore}
                />
                <copyrightComponent></copyrightComponent>
            </View>
        )
    }
}

export default AllDemanding
